/***************************************************************************
 * tabnoteeffecttest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABNOTEEFFECTTEST_H
#define TABNOTEEFFECTTEST_H

#include <QtTest>
#include <QtCore>

class TabNoteEffectTest : public QObject
{
	Q_OBJECT
private slots:
	void testAccentuated();
	void testGhostNote();
	void testTieNote();
	void testHammerOnPullOff();
	void testSlide();
	void testLetRing();
	void testDynamic();
	void testFingeringLeft();
	void testFingeringRight();
	void testLeftHandVibrato();
	void testPalmMute();
	void testStaccato();
	void testTremoloPicking();
	void testHarmonic();
	void testGraceNote();
	void testBend();
	void testTrill();
	void testOperators();
};

#endif
